<?php
// confirm.php

// Include necessary headers for CORS and JSON response
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json");

// Your app's secret key
$appSecret = 'mysecret'; // Replace with your actual secret

// Check if the required parameters are set
if (!isset($_POST['proof'], $_POST['shop-id'], $_POST['secret'])) {
    http_response_code(400);
    echo json_encode(['error' => 'Missing parameters']);
    exit();
}

// Extract parameters
$proof = $_POST['proof'];
$shopId = $_POST['shop-id'];
$shopSecret = $_POST['secret'];

// Validate the proof here (store the expected proof when handling registration)
$expectedProof = hash_hmac('sha256', $shopId . 'your-shop-url' . 'your-app-name', $appSecret);

// Check if proof matches
if ($proof !== $expectedProof) {
    http_response_code(403);
    echo json_encode(['error' => 'Invalid proof']);
    exit();
}

// Store the shop information (e.g., in a database)
// You might save the shopId, shopSecret, and any other necessary details

http_response_code(200);
echo json_encode(['success' => 'Shop registered successfully']);
?>
