<?php
// registration.php
console.log(11);
// Include necessary headers for CORS and JSON response
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json");

// Your app's secret key (keep this secure)
$appSecret = 'ddfba34c-61c9-4eb0-9a4d-dc26b261696f'; // Replace with your actual secret

// Check if the required parameters are set
if (!isset($_GET['shop-id'], $_GET['shop-url'], $_GET['timestamp'], $_SERVER['HTTP_SW_VERSION'], $_SERVER['HTTP_SHOPWARE_APP_SIGNATURE'])) {
    http_response_code(400);
    echo json_encode(['error' => 'Missing parameters']);
    exit();
}

// Extract parameters
$shopId = $_GET['shop-id'];
$shopUrl = $_GET['shop-url'];
$timestamp = $_GET['timestamp'];
$swVersion = $_SERVER['HTTP_SW_VERSION'];
$signature = $_SERVER['HTTP_SHOPWARE_APP_SIGNATURE'];

// Validate timestamp (optional)
if (time() - $timestamp > 300) { // Allow a 5-minute window
    http_response_code(400);
    echo json_encode(['error' => 'Invalid timestamp']);
    exit();
}

// Recalculate the signature
$queryString = http_build_query([
    'shop-id' => $shopId,
    'shop-url' => $shopUrl,
    'timestamp' => $timestamp,
]);

$expectedSignature = hash_hmac('sha256', $queryString, $appSecret);
console.log($expectedSignature,$appSecret);
// Validate the signature
if (!hash_equals($expectedSignature, $signature)) {
    http_response_code(403);
    echo json_encode(['error' => 'Invalid signature']);
    exit();
}

// If everything is valid, prepare the response
$response = [
    'proof' => hash_hmac('sha256', $shopId . $shopUrl . 'customaio', $appSecret),
    'secret' => bin2hex(random_bytes(16)), // Generate a random secret for the shop
    'confirmation_url' => 'https://shopwaree.skynettechnologies.us/registration/confirm', // URL for the confirmation request
];

// Return the response
http_response_code(200);
echo json_encode($response);
?>
