<?php
use Psr\Http\Message\RequestInterface;

// Get the request data
$queryString = $_SERVER['QUERY_STRING'];
$shopId = $_GET['shop-id'];
$shopUrl = $_GET['shop-url'];
$timestamp = $_GET['timestamp'];

// Calculate the expected signature
$expectedSignature = hash_hmac('sha256', $queryString, 'ddfba34c-61c9-4eb0-9a4d-dc26b261696f');

// Check if the provided signature matches
if ($_SERVER['HTTP_SHOPWARE_APP_SIGNATURE'] !== $expectedSignature) {
    // Invalid request
    http_response_code(401);
    echo json_encode(['error' => 'Invalid signature']);
    exit;
}

// Generate the proof
$proof = hash_hmac('sha256', $shopId . $shopUrl . 'customaio', 'ddfba34c-61c9-4eb0-9a4d-dc26b261696f');

// Generate a unique shop secret
$shopSecret = bin2hex(random_bytes(32));

// Save the shopId, shopUrl, and shopSecret for later use

// Send the registration response
echo json_encode([
    'proof' => $proof,
    'secret' => $shopSecret,
    'confirmation_url' => 'https://shopwaree.skynettechnologies.us/registration/confirm.php'
]);

?>